#!/bin/sh
# -----------------------------------------------------------------------------
#
#	Script to start Floating License Server service.
#
# -----------------------------------------------------------------------------

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )"

JAVA=$DIR/jdk-11
CLASS_PATH=$DIR/jbin/libs-floating.jar:$DIR/jbin/FloatingLicenseServer.jar
CLASS=com.license4j.floatinglicenseserver.server.FloatingLicenseServerDaemon
PID=/tmp/fls.pid

do_exec() {
	$DIR/bin/jsvc64 -server -home $JAVA -cp $CLASS_PATH -pidfile $PID $1 -debug $CLASS
}

case "$1" in
	start)  
		echo -n "Starting Floating License Server....."
		do_exec 
		echo "started"
		exit 0
		;;
	stop)
		echo -n "Stopping Floating License Server....."
		do_exec "-stop"
		echo "stopped"
		exit 0
		;;
	restart)
		if [ -f "$PID" ]; then
			echo -n "Restarting Floating License Server....."
			do_exec "-stop"
			do_exec
			echo "restarted"
			exit 0
	        else
			echo "Floating License Server not running, will do nothing."  
			exit 1
		fi
		;;
	*)
		echo "usage: daemon {start|stop|restart}" >&2       
		exit 3
		;;
esac
